import path_setting
from in_common.base_request import BaseRequest


class web_request(BaseRequest):
    def __init__(self):
        self.data = self.api_load(path_setting.ACCOUNT_URL)

    def account_unreadbadgecount(self) :
        return self.api_send(self.data["account_unreadbadgecount"])

    def article_videotoken(self) :
        return self.api_send(self.data["article_videotoken"])

    def doctor_submechanisms(self) :
        return self.api_send(self.data["doctor_submechanisms"])




if __name__ == '__main__':
    print(web_request().account_unreadbadgecount())
    print(web_request().article_videotoken())
    print(web_request().doctor_submechanisms())
